Results 1 to 2 of 2

Thread: ATI DRIVER precompiled kernel module version mismatched

  1. #1
    Junior Member
    Join Date
    May 2007
    Posts
    82

    Default ATI DRIVER precompiled kernel module version mismatched

    Hello. I'm currently trying to sort out my bloody ati driver for my laptop using backtrack 3. I run the script and once it's installed i get an error message:

    [Message] Kernel Module : Trying to install a precompiled kernel module.
    [Message] Kernel Module : Precompiled kernel module version mismatched.
    [Error] Kernel Module : No kernel module build environment - please consult readme.

    Now i'm in the process of trying to reinstall the newest kernel cause someone said about the kernel sources needed to be installed etc etc. I've installed the driver's when i had slackware 12 installed on my machine and it was fine :-D. But when i try it on BT3 it don't work. I can load up KDE and it does look okay until i fount out tht direct rendering wasnt enabled which led me to finding out tht i had tht messages when i was installing the ATI drivers.

    Can someone help me please. Thanks

  2. #2
    Just burned his ISO
    Join Date
    Feb 2008
    Posts
    3

    Default make modules

    I guess you installed the slackware 12 kernel source. Rebuild the kernel should do.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •